/*     Bed a menu-driven multi dataformat binary editor for Linux            */
/*     Copyright (C) 1998 Jaap Korthals Altes <jkaltes@hetnet.nl>       */
/*                                                                           */
/*     This program is free software; you can redistribute it and/or modify  */
/*     it under the terms of the GNU General Public License as published by  */
/*     the Free Software Foundation; either version 2 of the License, or     */
/*     (at your option) any later version.                                   */
/*                                                                           */
/*     This program is distributed in the hope that it will be useful,       */
/*     but WITHOUT ANY WARRANTY; without even the implied warranty of        */
/*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         */
/*     GNU General Public License for more details.                          */
/*                                                                           */
/*     You should have received a copy of the GNU General Public License     */
/*     along with this program; if not, write to the Free Software           */
/*     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.             */
/* Fri Dec  8 22:14:27 2000                                                  */


// char *keysyms[]= { "backspace", "delete", "down", "end", "esc", "home", "left", "pgdn", "pgup", "right", "stab", "up" };
//keylabel(label,edit,menu,open)
keylabel("backspace",address(Editor,backchar),NULL,BACKSPACE)
keylabel("delete",NULL,NULL,DELETE)
keylabel("down",address(Editor,linedown),address(Editor,nextmenuitem),DOWN)
keylabel("end",address(Editor,endline),address(Editor,lastmenuitem),END)
keylabel("esc",address(Editor,altatkey),address(Editor,nop),QUIT)
keylabel("f1",address(Editor,moveshow),address(Editor,showhelp),HELP)
keylabel("home",address(Editor,beginline),address(Editor,firstmenuitem),BEG)
keylabel("left",address(Editor,backchar),address(Editor,prevmenu),PREV)
keylabel("nothing",address(Editor,nop),address(Editor,staymenu),NOP)
keylabel("pgdn",address(Editor,pagedown),NULL,PGDN)
keylabel("pgup",address(Editor,pageup),NULL,PGUP)
keylabel("right",address(Editor,nextchar),address(Editor,nextmenu),NEXT)
keylabel("stab",address(Editor,prevmark),NULL,SHIFTAB)
keylabel("up",address(Editor,lineup),address(Editor,prevmenuitem),UP)

